Schiphol Public Flight API

Retrieves list of aircrafttypes

Retrieves list of aircrafttypes. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”

get
https://api.schiphol.nl/public/public-flights/v4/aircrafttypes

Query Parameters

iataMainstring

IATA main code

>= 3 characters<= 3 characters

iataSubstring

IATA sub code

>= 3 characters<= 3 characters

pageinteger(int32)

Default:0

>= 0<= 499

sortstring

Specifies which field to use for sorting. Allowed fields are iataMain, iataSub, longDescription and shortDescription. Use plus or minus sign to indicate ascending or descending order.

Match pattern:^((\+|-| )?(iataMain|iataSub|longDescription|shortDescription)(,|$))+$

Default:+iataMain

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

Example:v4

Response

application/json

OK

AircraftTypeList

aircraftTypesarray[object]
Show Child Parameters
get/aircrafttypes
 
application/json

Retrieves list of destinations

Retrieves list of destinations

If there are more pages of the result, header will contain custom String field - Link, which will contain URLs where other pages of the results can be reached.
For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”

get
https://api.schiphol.nl/public/public-flights/v4/destinations

Query Parameters

pageinteger(int32)

Default:0

>= 0<= 499

sortstring

Specifies which field to use for sorting. Allowed fields are publicName.dutch, publicName.english, iata, country and city… Use plus or minus sign to indicate ascending or descending order.

Match pattern:^((\+|-| )?(publicName\.dutch|publicName\.english|iata|country|city)(,|$))+$

Default:+iata

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

Example:v4

Response

application/json

OK

DestinationList

destinationsarray[object]
Show Child Parameters
get/destinations
 
application/json

Retrieves destination based on IATA code

Retrieves destination based on IATA code

get
https://api.schiphol.nl/public/public-flights/v4/destinations/{iata}

Path Parameters

iatastringrequired

IATA code

>= 3 characters<= 3 characters

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

Example:v4

Response

application/json

OK

Destination

citystring
countrystring
iatastring
publicNameobject
Show Child Parameters
get/destinations/{iata}
 
application/json

RowType

object
positionstring
desksobject
Show Child Parameters
Example

BaggageClaimType

object
beltsarray[string]
Example